Bug #87173

No public key could be generated. Please inform your TYPO3 administrator to check the OpenSSL settings.

Added by Eckard Gehrke almost 3 years ago. Updated 4 months ago.

Status:
Rejected
Priority:
Must have
Assignee:
-
Category:
Authentication
Target version:
-
Start date:
2018-12-16
Due date:
% Done:

0%

Estimated time:
TYPO3 Version:
9
PHP Version:
7.2
Tags:
Complexity:
Is Regression:
Sprint Focus:

Description

Hi,

after upgrading from working typo3 8.7.13 to 9.5.3 I am getting the issue:

No public key could be generated. Please inform your TYPO3 administrator to check the OpenSSL settings.

I am working locally: Upgrading the installation to the new version works. I can use the install tool to do all the changes. After finishing when trying to call the backend I get the login screen and when entering the login I get the error.

Any hints on this issue are welcome. openssl is installed and available with php.ini.
Security settings is rsa and 'rsaauth' => 'a:1:{s:18:"temporaryDirectory";s:0:"";}', is installed. as well as
'saltedpasswords' => 'a:2:{s:3:"BE.";a:4:{s:21:"saltedPWHashingMethod";s:41:"TYPO3\\CMS\\Saltedpasswords\\Salt\\PhpassSalt";s:11:"forceSalted";i:0;s:15:"onlyAuthService";i:0;s:12:"updatePasswd";i:1;}s:3:"FE.";a:5:{s:7:"enabled";i:1;s:21:"saltedPWHashingMethod";s:41:"TYPO3\\CMS\\Saltedpasswords\\Salt\\PhpassSalt";s:11:"forceSalted";i:0;s:15:"onlyAuthService";i:0;s:12:"updatePasswd";i:1;}}'.

When trying to logon to backend again I get a connection error no logon screen any more. Login to the install toll still works without any hints on problems.

Thanks for any help
Eckard.

#1

Updated by Eckard Gehrke almost 3 years ago

Hi,

after removing the rsa settings before upgrading in the install tool I get the upgrade working. Now I see in the backend that: RSA authentication for TYPO3 is deprecated. Would be nice to get any hints on this during the upgrade wizard.

Best regards
Eckard.

#2

Updated by Benni Mack over 1 year ago

  • Status changed from New to Rejected

Hey,

we've improved the upgrade wizard, but unfortunately, it is not easily possible to hook into the "upgrade process". Our docs state that one needs to update TYPO3 to go in the install tool, where this is stated, as well as in the docs. Hope that's ok. Otherwise we could update docs.typo3.org and add that there. Feel free to reach out if your feel differently.

#3

Updated by Franz Holzinger 4 months ago

I have the same error with TYPO3 8.7.32.
This should be documented where everyone can find it.
FE and BE login only work after I set the 2 secuirtyLevel from 'rsa' to 'normal'.

Also available in: Atom PDF